org.apache.olingo.commons.api.data

## Class Annotation

- java.lang.Object
- - org.apache.olingo.commons.api.data.Annotatable
  - - org.apache.olingo.commons.api.data.Valuable
    - - org.apache.olingo.commons.api.data.Annotation

-     public class Annotation
      extends Valuable

  Represents an instance annotation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Annotation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `getTerm()` Get term for Annotation.
    `int` | `hashCode()`
    `void` | `setTerm(String term)` Set term for Annotation.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Valuable

      `asCollection, asComplex, asEnum, asGeospatial, asPrimitive, getType, getValue, getValueType, isCollection, isComplex, isEnum, isGeospatial, isNull, isPrimitive, setType, setValue`

    - ### Methods inherited from class org.apache.olingo.commons.api.data.Annotatable

      `getAnnotations`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Annotation

          public Annotation()

  - ### Method Detail

    - #### getTerm

          public String getTerm()

      Get term for Annotation.
      Returns:
        term for Annotation.

    - #### setTerm

          public void setTerm(String term)

      Set term for Annotation.
      Parameters:
        `term` - term for Annotation.

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Valuable`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Valuable`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Valuable`

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.